Last Comment Bug 712560 - Ctrl+Tab doesn't cycle tabs anymore
: Ctrl+Tab doesn't cycle tabs anymore
Status: RESOLVED FIXED
Just some in-code documentation for a...
:
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Mike Conley (:mconley) - (needinfo me!)
:
:
Mentors:
Depends on:
Blocks: tb-tabsontop
  Show dependency treegraph
 
Reported: 2011-12-20 23:41 PST by Jim Porter (:squib)
Modified: 2012-01-12 07:03 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Some comments for future add-on developers (1.32 KB, patch)
2011-12-21 11:08 PST, Mike Conley (:mconley) - (needinfo me!)
squibblyflabbetydoo: review+
Details | Diff | Splinter Review
Take 2 on that comment patch (1.33 KB, patch)
2011-12-21 11:10 PST, Mike Conley (:mconley) - (needinfo me!)
squibblyflabbetydoo: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jim Porter (:squib) 2011-12-20 23:41:24 PST
(I'm guessing this issue is related to tabs on top, but it's possible it's something else.)

On trunk, Ctrl+Tab no longer cycles through tabs and instead does the same thing as F6 (incidentally, this is what Ctrl+Tab used to do before tabs existed). We should fix this.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-12-21 00:47:31 PST
Strange, Ctrl+Tab works fine for me in my local build on Win7. I haven't tried the checked-in version though, just the build I used to review the patch.
Comment 2 Mike Conley (:mconley) - (needinfo me!) 2011-12-21 07:09:13 PST
Ctrl+Tab seems to work on Ubuntu Linux using Nightly.  Trying Windows next...
Comment 3 Jim Porter (:squib) 2011-12-21 10:57:15 PST
Whoops, it appears that an add-on broke things, since I haven't updated it to take into account the changes for tabs-on-top.
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2011-12-21 11:08:55 PST
Created attachment 583558 [details] [diff] [review]
Some comments for future add-on developers

This sound reasonable?
Comment 5 Jim Porter (:squib) 2011-12-21 11:10:30 PST
Comment on attachment 583558 [details] [diff] [review]
Some comments for future add-on developers

Review of attachment 583558 [details] [diff] [review]:
-----------------------------------------------------------------

I think you want s/Do/Don't/ but other than that, it looks good.
Comment 6 Mike Conley (:mconley) - (needinfo me!) 2011-12-21 11:10:44 PST
Created attachment 583559 [details] [diff] [review]
Take 2 on that comment patch

Whoops - should really have given that a second read after writing it.  It should have been "Do NOT use overlays".  Kind of changes the whole meaning of the comment.  ;)
Comment 7 Jim Porter (:squib) 2011-12-21 11:11:39 PST
Comment on attachment 583559 [details] [diff] [review]
Take 2 on that comment patch

Pulling forward r+.
Comment 8 Mike Conley (:mconley) - (needinfo me!) 2011-12-21 11:16:52 PST
Comment on attachment 583559 [details] [diff] [review]
Take 2 on that comment patch

I guess we'll want this documentation in TB 11 as well.
Comment 9 Jim Porter (:squib) 2011-12-21 11:17:27 PST
Reopening, since there's a patch here now.
Comment 10 Mike Conley (:mconley) - (needinfo me!) 2011-12-28 12:11:47 PST
Attachment 583559 [details] [diff] - checked in to comm-central as http://hg.mozilla.org/comm-central/rev/b18bc785b36d
Comment 11 Mike Conley (:mconley) - (needinfo me!) 2011-12-29 07:27:36 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/1fd00fb881ba

Note You need to log in before you can comment on or make changes to this bug.